# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'snmputils/version'

Gem::Specification.new do |spec|
  spec.name          = "snmputils"
  spec.version       = Snmp::Utils::VERSION
  spec.authors       = ["Ted Cook"]
  spec.email         = ["teodoro.cook@gmail.com"]
  spec.description   = "Functional wrappers for Dave Halliday's ruby-snmp"
  spec.summary       = "Functional wrappers for Dave Halliday's ruby-snmp"
  spec.homepage      = "https://github.com/teddyphreak/ruby-snmputils.git"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler",      "~> 1.3"
  spec.add_development_dependency "rake",         "~> 10.1"
  spec.add_development_dependency "rspec",        "~> 2.13"
  spec.add_development_dependency "yard",         "~> 0.8"
  spec.add_development_dependency "yardstick",    "~> 0.9"
  spec.add_development_dependency "travis-lint",  "~> 1.7" 
  spec.add_dependency             "snmp",         "~> 1.1"
end
